{% extends 'layouts/base_background.html' %}
{% load static %}

{% block title %} ZuLab {% endblock title %}

{% block body %} class="index-page bg-gray-200" {% endblock body %}

{% block content %}

</div></div></div>
<header class="header-2">
  <div class="page-header min-vh-75 relative" style="background-image: url('{% static 'img/bg2.jpg' %}')">
    <span class="mask bg-gradient-primary opacity-4"></span>
    <div class="container">
      <div class="row">
        <div class="col-lg-7 text-center mx-auto">
          <h1 class="text-white pt-3 mt-n5">ZuLab</h1>
          <p class="lead text-white mt-3">Sistema de información de laboratorio clínico.<br>Reportes & Gráficos informativos</p>
        </div>
      </div>
    </div>
  </div>
</header>

<div class="card card-body blur shadow-blur mx-3 mx-md-4 mt-n6">

  <section class="pt-3 pb-4" id="count-stats">
    <div class="container">
      <div class="row">
        <div class="col-lg-9 mx-auto py-3">
          <div class="row">
            <div class="col-md-4 position-relative">
              <div class="p-3 text-center">
                <h1 class="text-gradient text-primary"><span id="state1" countTo="120">0</span></h1>
                <h5 class="mt-3">Turno Mañana</h5>
                <p class="text-sm font-weight-normal">Cantidad de atenciones durante el mes</p>
              </div>
              <hr class="vertical dark">
            </div>
            <div class="col-md-4 position-relative">
              <div class="p-3 text-center">
                <h1 class="text-gradient text-primary"> <span id="state2" countTo="205">0</span></h1>
                <h5 class="mt-3">Turno Tarde</h5>
                <p class="text-sm font-weight-normal">Cantidad de atenciones durante el mes</p>
              </div>
              <hr class="vertical dark">
            </div>
            <div class="col-md-4">
              <div class="p-3 text-center">
                <h1 class="text-gradient text-primary" id="state3" countTo="143">0</h1>
                <h5 class="mt-3">Turno Noche</h5>
                <p class="text-sm font-weight-normal">Cantidad de atenciones durante el mes</p>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section>  
  {% comment %} <section >
    <div class="container">
      <div class="row">
        <div class="row justify-content-center text-center my-sm-2">
          <div class="col-lg-6">
            <span class="badge bg-primary mb-3">GRÁFICAS ESTADÍSTICAS</span>
            <h2 class="text-dark mb-0">Información expresada visualmente</h2>
          </div>
        </div>
      </div>
    </div> 

    <div class="container mt-sm-1 mt-3">
      <div class="row">
        <div class="col-lg-2">
          <div class="position-sticky pb-lg-5 pb-3 mt-lg-0 mt-3 ps-2" style="top: 100px">
            <h3>Solicitudes</h3>
            De<br>
            a
          </div>
        </div> 
        <div class="col-lg-10">
          <div class="row mt-3">
            <!-- Buttons color -->
            <div class="col-12">
              <div class="position-relative border-radius-xl overflow-hidden shadow-lg mb-7">
                <div class="container border-bottom">
                  <div class="row justify-space-between py-2">
                    <div class="col-lg-6 me-auto">
                      <p class="lead text-dark pt-1 mb-0">Buttons color<br><br><br><br><br><br><br><br><br><br><br><br><br><br></p>
                    </div> 
                  </div>
                </div> 
              </div>
            </div> 
          </div>
        </div> 
      </div>  
    </div> 
    
  </section>  {% endcomment %}
</div>

{% endblock content %}

{% block javascripts %}

<!--  Plugin for TypedJS, full documentation here: https://github.com/inorganik/CountUp.js -->
<script src="{% static 'js/plugins/countup.min.js' %}"></script>
<script src="{% static 'js/plugins/choices.min.js' %}"></script>
<script src="{% static 'js/plugins/prism.min.js' %}"></script>
<script src="{% static 'js/plugins/highlight.min.js' %}"></script>
<!--  Plugin for Parallax, full documentation here: https://github.com/dixonandmoe/rellax -->
<script src="{% static 'js/plugins/rellax.min.js' %}"></script>
<!--  Plugin for TiltJS, full documentation here: https://gijsroge.github.io/tilt.js/ -->
<script src="{% static 'js/plugins/tilt.min.js' %}"></script>
<!--  Plugin for Selectpicker - ChoicesJS, full documentation here: https://github.com/jshjohnson/Choices -->
<script src="{% static 'js/plugins/choices.min.js' %}"></script> 

<script type="text/javascript">
  $(document).ready(function() {

    $.ajax({
        headers : {"X-CSRFToken": '{{csrf_token}}'},
        type:"POST",
        url:"cantTurnos/",
        data: '',
        success: function(dat){   
          console.log(dat);
            if (document.getElementById('state1')) {
              $("#state1").attr("countTo", dat.tm_arrayData);
              const countUp = new CountUp('state1', document.getElementById("state1").getAttribute("countTo"));
              if (!countUp.error) { 
                countUp.start();
              } else {
                console.error(countUp.error);
              }
            }
            if (document.getElementById('state2')) {
              $("#state2").attr("countTo", dat.tt_arrayData);
              const countUp1 = new CountUp('state2', document.getElementById("state2").getAttribute("countTo"));
              if (!countUp1.error) {
                countUp1.start();
              } else {
                console.error(countUp1.error);
              }
            }
            if (document.getElementById('state3')) {
              $("#state3").attr("countTo", dat.tn_arrayData);
              const countUp2 = new CountUp('state3', document.getElementById("state3").getAttribute("countTo"));
              if (!countUp2.error) {
                countUp2.start();
              } else {
                console.error(countUp2.error);
              };
            } 

        },
        error: function(jqXHR, textStatus, errorThrow){ 
            mensaje('Excepción',textStatus+'|'+errorThrow,'red'); 
        }
    });  

});
</script>

{% endblock javascripts %}
